<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
date_default_timezone_set('Europe/Madrid');

// Parámetros
$serverName 	= "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

// Conexión con Navision
$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}

if( $connNavision ) {
	 //echo "Conexion establecida con Navision.\r\n";
}else{
	  echo json_encode(["result"=>-1 , "text"=>"No se pudo conectar con Navision"]);
	  die;
}

$result		= [];

// Obtención de las ordenes de ventas
if(isset($_REQUEST["code"])){ 
	$block = 1;
	if (isset($_REQUEST["unblock"]) && $_REQUEST["unblock"]=='1')
		$block = 0;
	$sql = 'UPDATE dbo.[Ind. Campollano Ferretería S.L$Sales Header] SET [BloqueadoWeb]='.$block.' WHERE [No.]=\''.$_REQUEST["code"].'\'';

	$stmt_update = sqlsrv_query( $connNavision, $sql);
	if(sqlsrv_errors(SQLSRV_ERR_ERRORS)!==NULL) {
		print_r(sqlsrv_errors(SQLSRV_ERR_ERRORS));
		echo json_encode(["result"=>-3, "text"=>"1 Ocurrio un error en la modificación SQL de Navision"]);
		die;
	}
	
	if($stmt_update !== false) {
		$result["result"]=1;
		if (isset($_REQUEST["unblock"]) && $_REQUEST["unblock"]=='1')
			$result["text"]=$_REQUEST["code"]." - Desbloqueado";
		else
			$result["text"]=$_REQUEST["code"]." - Bloqueado";
	}
	 
}else{
  echo json_encode(["result"=>-2 , "text"=>"No se ha indicado código de pedido de venta para bloquear/desbloquear. ?code=XXX[,unblock=1]"]);
  die;
}

header('Content-Type: application/json');
echo json_encode($result, JSON_UNESCAPED_UNICODE);
?>
